# Spotifyd docker 

Run [spotifyd](https://github.com/Spotifyd/spotifyd) inside docker. Inspired by [GnaphronG/docker-spotifyd](https://github.com/GnaphronG/docker-spotifyd).

# Setup

You need to add the `/dev/snd` to the container. Because the container uses Alsa you can have only one application use the device. If you have a something else runnig on your system that uses Alsa, you will get an error.

Check out the `docker-compose.yml` for an example.

# Configuration 

Following variables are available.

`SPOTIFYD_USERNAME` Required. Spotify username.

`SPOTIFYD_PASSWORD` Required. Spotify password.

`SPOTIFYD_DEVICE` Name of the device. 

